Arsel AI API - أرسل
Arse.aiRegister
Arse.aiRegister
  1. Account
  • Account
    • Get authenticated account info
      GET
  • Domains
    • List domains
      GET
    • Create a domain (and generate verification DNS records)
      POST
    • Delete a domain
      DELETE
  • Contact Lists
    • List contact lists
      GET
    • Create a contact list
      POST
    • Import subscribers into a contact list
      POST
    • List subscribers for a contact list
      GET
    • Get subscriber details (including subscriber mails)
      GET
    • Create a subscriber in a contact list
      POST
    • Update a subscriber (by subscriber UUID)
      PUT
    • Delete a subscriber (by subscriber UUID)
      DELETE
    • Toggle subscriber subscription status
      PUT
  • Campaigns
    • List campaigns
      GET
    • Create a campaign
      POST
    • Update a campaign
      PUT
    • Delete a campaign
      DELETE
  • Templates
    • List templates
      GET
    • Toggle template publish status
      PUT
  • Email Sending
    • Send an email (queued)
      POST
  • Automations
    • List automations
      GET
    • Create an automation
      POST
    • Get an automation (with steps)
      GET
    • Update an automation (and optionally sync steps)
      PUT
    • Delete an automation
      DELETE
    • Trigger a webhook automation for subscribers
      POST
  • Schemas
    • LaravelPaginationLinks
    • LaravelPaginationMeta
    • ExternalAccount
    • ExternalDomain
    • ExternalDomainCollection
    • ExternalContactList
    • ExternalContactListPaginator
    • CreateContactListResponse
    • ExternalSubscriber
    • ExternalSubscriberPaginator
    • ExternalSubscriberMail
    • ExternalSubscriberMailPaginator
    • SubscriberDetailsResponse
    • ExternalCampaign
    • ExternalCampaignCollection
    • CampaignCreateOrUpdateResponse
    • DeleteResponse
    • ExternalTemplateListItem
    • ExternalTemplatePaginator
    • ErrorResponse
    • MessageResponse
    • AccountInfoResponse
    • CreateDomainRequest
    • CreateContactListRequest
    • CreateOrUpdateSubscriberRequest
    • CreateSubscriberResponse
    • ImportSubscribersRequest
    • CreateOrUpdateCampaignRequest
    • SendEmailRequest
    • CreateAutomationRequest
    • Automation
    • AutomationCollection
    • CreateAutomationResponse
    • TriggerAutomationRequest
    • TriggerAutomationResponse
  1. Account

Get authenticated account info

GET
/v1/account/info
Requires auth:account + accountActive. Does not require an active subscription.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or

Responses

🟢200
application/json
Account information
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.arsel.ai/api/v1/account/info' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "account": {
        "id": 0,
        "name": "string",
        "email": "user@example.com",
        "created_at": "string",
        "updated_at": "string"
    },
    "authentication_type": "api_token",
    "message": "string"
}
Next
List domains
Built with